<script setup lang="ts">
import NavigationDrawer from '@/components/NavigationDrawer.vue'
import { ref } from 'vue'
import BillsElectricList from '@/components/BillsElectricList.vue'
import BillsPlaceList from '@/components/BillsPlaceList.vue'
import BillsWaterList from '@/components/BillsWaterList.vue'

const tab = ref(1)
</script>

<template>
  <!-- <NavigationDrawer></NavigationDrawer> -->

  <v-sheet
    style="min-width: 300px; height: 100%; elevation: 6; background-color: #212121; color: white"
  >
    <v-tabs v-model="tab" color="deep-orange-darken-4" align-tabs="center">
      <v-tab :value="1">Water Bills</v-tab>
      <v-tab :value="2">Electricity Bills</v-tab>
      <v-tab :value="3">Place Bills</v-tab>
    </v-tabs>
    <v-window v-model="tab">
      <v-window-item :value="1">
        <BillsWaterList></BillsWaterList>
      </v-window-item>
      <v-window-item :value="2">
        <BillsElectricList></BillsElectricList>
      </v-window-item>
      <v-window-item :value="3">
        <BillsPlaceList></BillsPlaceList>
      </v-window-item>
    </v-window>
  </v-sheet>
</template>

<style scoped></style>
